com.google.android.maps包不存在该怎么办?

内容来源于 Stack Overflow,并遵循CC BY-SA 3.0许可协议进行翻译与使用

  • 回答 (2)
  • 关注 (0)
  • 查看 (18)

我之前多次使用过Maps API,并没有遇到这个问题,但是我已经明确地做了这个IntelliJ项目的一些错误。在Settings-> SDKs下,我已经在类路径中指定了平台7 Google API - 它仍然无法构建说Maps API不在那里。我也曾尝试将类路径的单独引用添加到Google APIs .jar,但仍然是同样的问题。

如何修复我的IntelliJ IDE项目,以便正确构建针对Google API的项目?

提问于
用户回答回答于

要让GoogleAPI在IntelliJ中工作,你可以这样做:

  1. 在文件 - >项目结构 - > SDK中,为您的目标平台级别添加一个项目。在classpath选项卡下,添加对android SDKs文件夹顶部的引用,并使用Build Target菜单指定要定向的平台。
  2. 在Settings-> Project Structure-> Modules-> Dependencies下,从“Module SDK”列表中选择SDK版本
  3. 如果您需要定位Google(地图等)API,然后在设置 - >项目结构 - > SDK->类路径中,确保您还为该平台版本添加了Google API的引用.jar文件(例如addons / addon_google_apis_google_inc_8 /库/ maps.jar
用户回答回答于

在我的Idea版本中,控件有点不同:

项目设置 - 模块 - (ModuleName) - 三角形展开树 - Android; 在右侧看到“Android平台:”和选择控件。在该控件中没有“Android 2.1-update1 Google API”,但是按下“新建”按钮并...选择一个已下载内容的现有目录,例如/ android-sdk-mac_x86 / platforms / android-9。

扫码关注云+社区